/*
 * ========================================================================
 *
 * qemoon - a gui frontend for the qemu emulator written in the java programming language with the eclipse rcp framework.
 * Copyright (C) 2006 Eric Bellard.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * ========================================================================
 */
/**
 * 
 */
package org.bellard.qemoon.resources;

import java.io.IOException;
import java.io.OutputStream;

import org.apache.log4j.Logger;
import org.eclipse.jface.preference.PreferenceStore;

/**
 * @author France Telecom
 * @Copyright France Telecom S.A. 2006
 */
public class VMConfigurationPropertiesPersister {

	private static final Logger logger = Logger
			.getLogger(VMConfigurationPropertiesPersister.class);

	private static final String VM_CONFIGURATION_PROPERTIES_FILE = "qemoon VM configuration properties file";

	public void saveProperties(PreferenceStore store, OutputStream os) {

		try {
			store.save(os, VM_CONFIGURATION_PROPERTIES_FILE);
		} catch (IOException e) {
			String message = "Pb during file write...";
			logger.debug(message, e);
			throw new RuntimeException(message, e);
		}
	}

}
